Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Not working with Firefox 3.0.3 (Ubuntu 8.10 AMD64)

  1. #1
    Join Date
    Jan 2009
    Posts
    8
    Rep Power
    6

    Default Not working with Firefox 3.0.3 (Ubuntu 8.10 AMD64)

    Just installed Zimbra Network Edition trial (zcs-NETWORK-5.0.11_GA_2695.UBUNTU8.20081117023350) into ubuntu 8.04 server and when I try to access admin (https://10.2.9.5:7071/) using Firefox 3.0.5 from Ubuntu 8.10 (AMD64) I get the folowing javascript errors:

    Error: D[C ? 0 : 1] is undefined
    Source-file: https://10.2.9.5:7071/zimbraAdmin/js...v=081117025811
    Line: 3727

    Error: DwtEvent is not defined
    Source-file: https://10.2.9.5:7071/zimbraAdmin/js...v=081117025811
    Line: 8

    Error: DwtControl is not defined
    Source-file: https://10.2.9.5:7071/zimbraAdmin/js...v=081117025811
    Line: 390

    Error: XModelItemFactory is not defined
    Source-file: https://10.2.9.5:7071/zimbraAdmin/js...v=081117025811
    Line: 148

  2. #2
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Is this happening when you try and access it from the server or a remote workstation ?

  3. #3
    Join Date
    Jan 2009
    Posts
    8
    Rep Power
    6

    Default

    Linux Ubuntu remote machine (neighbor)... If I use a windows machine it works fine.

  4. #4
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Any proxy or firewall running on the Ubuntu workstation ?

  5. #5
    Join Date
    Jan 2009
    Posts
    8
    Rep Power
    6

    Default

    No proxy, no firewall... zimbra server is 10.2.9.5 and ubuntu workstation is 10.2.9.1, windows workstation is 10.2.9.4 and works perfectly.

    I thinks is javascript issue due to windows works fine on same conditions.

  6. #6
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Can you upgrade FF to 3.0.5 as that works fine here.

  7. #7
    Join Date
    Jan 2009
    Posts
    8
    Rep Power
    6

    Default

    Title is wrong (see first post). I'm using FF 3.0.5 already. My ubuntu is upgraded and using latest firefox package.

    Have you tested using FF3.0.5 on ubuntu ?

    I have firebug, webdeveloper and other FF extensions installed. Would these be an issue?

  8. #8
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Ah sorry Yes they could be causing a issue! I only have firebug installed and yet can still use the Admin GUI just fine. Try disabling at least webdeveloper as it may be intercepting some of the JS.

  9. #9
    Join Date
    Jan 2009
    Posts
    8
    Rep Power
    6

    Default

    I disabled all extensions, including firebug, but no success. I get exactly same errors. Have you get it working on FF 3.0.5 and Ubuntu (AMD64) ?

  10. #10
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Not AMD64 but Intel, Ubuntu 8.10 and FF 3.0.5 works fine.

Similar Threads

  1. Ubuntu 8.10
    By Mccreations3 in forum Administrators
    Replies: 9
    Last Post: 04-19-2009, 08:07 AM
  2. Get emails out of zimbra or get it working again?
    By kingfeanor in forum Migration
    Replies: 9
    Last Post: 11-25-2008, 01:02 AM
  3. I got Ubuntu and Zimbra working
    By pacsteel in forum Installation
    Replies: 73
    Last Post: 06-23-2008, 12:41 PM
  4. Binaries for Ubuntu 8.04 LTS AMD64?
    By hjbleier in forum Installation
    Replies: 19
    Last Post: 05-14-2008, 06:56 PM
  5. Ubuntu VServer logger not working
    By cshepherd in forum Installation
    Replies: 12
    Last Post: 11-14-2006, 03:33 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •